ubiquity-kde manual partition very painful

Bug #628906 reported by Scott Kitterman on 2010-09-02
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Medium
Stéphane Graber

Bug Description

Binary package hint: ubiquity

During the manual partioning, each time I clicked on a partition to select it (e.g. to delete it) a window opened up asking how I wanted to use the partition. I didn't want to use the partition, I wanted to delete it, so this was very unfriendly.

tags: added: iso-testing
Colin Watson (cjwatson) wrote :

Yes, this should be a double-click action or similar rather than single-click.

Changed in ubiquity (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Stéphane Graber (stgraber) wrote :

=== modified file 'ubiquity/frontend/kde_components/PartMan.py'
--- ubiquity/frontend/kde_components/PartMan.py 2011-03-30 21:41:06 +0000
+++ ubiquity/frontend/kde_components/PartMan.py 2011-04-08 17:27:02 +0000
@@ -393,8 +393,6 @@
         elif partition['parted']['fs'] == 'free':
             if 'can_new' in partition and partition['can_new']:
                 self.partman_create_dialog(devpart, partition)
- else:
- self.partman_edit_dialog(devpart, partition)

     ### actions for clicking the buttons ###

----
Would fix the issue (as in, stop doing anything when selecting a line beside enabling the right buttons).
I'm currently reading the pyqt doc to see how to detect a double click as I couldn't find any obvious way of detecting that from the activated event.

Changed in ubiquity (Ubuntu):
assignee: nobody → Stéphane Graber (stgraber)
Stéphane Graber (stgraber) wrote :

Attached a patch to completely disable the partition edit dialog on "activate".
That should fix Scott's issue but also means that double-clicking a row or pressing enter won't bring the partition edit dialog.

I just spent two hours reading through the code and QT's documentation trying to figure out how that function even gets called but couldn't figure it out ...

stgraber@castiana:~/Desktop/ubiquity$ grep -ri on_partition_list_treeview_activated .
./ubiquity/frontend/kde_components/PartMan.py: def on_partition_list_treeview_activated(self, index):
stgraber@castiana:~/Desktop/ubiquity$

So as I don't see any related connect() I don't see how I'd catch the double-click event to show the dialog on double-click.
The function takes two parameters, self (obviously) and another that's a QModelIndex object.
Neither give me any (obvious) way of guessing what event got triggered, so I don't seem to be able to guess if we received a click, double-click or a enter-pressed event.

I'm sure there's an "easy" way of doing it but I'm really not familiar with pyqt and there seems to be some magic in that code that I just don't understand :(

Unless someone knows how to implement the double-click part of the bug, I'd suggest we just apply the attached patch.

Also, if someone can tell me how that function even gets called, I'd be really interested :)

Thanks

Is there an alternate way to bring it up?

Stéphane Graber (stgraber) wrote :

You can get the dialog by clicking the "Change" button after selecting a partition in the list.

Scott Kitterman (kitterman) wrote :

I think that would be an improvement then.

tags: added: patch
Colin Watson (cjwatson) on 2011-04-10
Changed in ubiquity (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.6.1

---------------
ubiquity (2.6.1) natty; urgency=low

  [ Stéphane Graber ]
  * KDE frontend:
    - Disable partition edit dialog on row activation, until such time as we
      know how to distinguish click from double-click (LP: #628906).

  [ Colin Watson ]
  * Automatic update of included source packages: localechooser 2.34ubuntu4,
    partman-auto 93ubuntu14.
  * Update translations from Launchpad.
  * Add ${misc:Depends} to dependencies of ubiquity-ubuntu-artwork and
    oem-config-remaster.
 -- Colin Watson <email address hidden> Mon, 11 Apr 2011 02:22:28 +0100

Changed in ubiquity (Ubuntu):
status: Fix Committed → Fix Released
Scott Kitterman (kitterman) wrote :

Stéphane: Your fix to this problem works perfectly. I still get the pop-up window for selecting partition type when on single click into an empty area, but not when single clicking into an existing partition. This works exactly as I'd expect now. No need to fix it harder.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers